#!/bin/bash

while true; do
  cd /usr/lib/truefitness/truetouch

  # Launch the application
  /usr/lib/truefitness/truetouch/Touch --fullscreen --hidecursor > /dev/tty1 2>&1

  STATUS=$?
  RESTART=0
  case $STATUS in
  139) ;& # SIGSEGV
  137) ;& # SIGKILL
  132) ;& # SIGILL
  134) ;& # SIGABRT
  136)    # SIGFPE
    RESTART=1
    ;;
  *)
    RESTART=0
    ;;
  esac
  if [ $RESTART -eq 0 ]; then
    exit $STATUS
  fi

  echo Truetouch exited with status $STATUS. Restarting... >/dev/tty1
  touch /tmp/truetouch.crash
  killall AlphaKeypad
  killall WebBrowser
done
